# 历史积分用量 (/zh/api-reference/endpoint/credit-usage-historical)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 630 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

按月返回历史积分用量。该端点还可选按 API key 分解用量。

> 你是需要 Firecrawl API 密钥的 AI 代理吗？请参见 [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) 获取自动化引导说明。

`GET /team/credit-usage/historical`

获取已认证团队的历史额度使用记录

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "按 API 密钥查询历史额度用量",
      "in": "query",
      "name": "byApiKey",
      "required": false,
      "schema": {
        "default": false,
        "type": "boolean"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "periods": {
                "items": {
                  "properties": {
                    "apiKey": {
                      "description": "该计费周期中使用的 API 密钥名称。若 byApiKey 为 false（默认），则为 null",
                      "nullable": true,
                      "type": "string"
                    },
                    "endDate": {
                      "description": "计费周期结束日期",
                      "example": "2025-01-31T23:59:59Z",
                      "format": "date-time",
                      "type": "string"
                    },
                    "startDate": {
                      "description": "计费周期开始日期",
                      "example": "2025-01-01T00:00:00Z",
                      "format": "date-time",
                      "type": "string"
                    },
                    "totalCredits": {
                      "description": "账单周期内使用的积分总数",
                      "example": 1000,
                      "type": "integer"
                    }
                  },
                  "type": "object"
                },
                "type": "array"
              },
              "success": {
                "example": true,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "成功的响应"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Internal server error while fetching historical credit usage",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "服务器错误"
    }
  }
}
```
